Skip to main content
GET
/
customers
List all customers
curl --request GET \
  --url https://commerce1.on-hellgate.dev/customers \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "address": {
        "city": "<string>",
        "country_code": "<string>",
        "line_1": "<string>",
        "postal_code": "<string>",
        "state": "<string>",
        "line_2": "<string>"
      },
      "description": "<string>",
      "email": "<string>",
      "tax_settings": {
        "exempt": "NONE",
        "tax_id": "<string>"
      }
    }
  ],
  "pagination": {
    "current_page": 123,
    "next_page": 123,
    "page_size": 123,
    "previous_page": 123,
    "total_items": 123,
    "total_pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer

Page cursor for pagination

limit
integer

Maximum items per page

Response

Success

data
CustomerResponse · object[]
pagination
PaginationSchema · object